/*
 * Copyright 2010-2020 Gildas Lormeau
 * contact : gildas.lormeau <at> gmail.com
 * 
 * This file is part of SingleFile.
 *
 *   The code in this file is free software: you can redistribute it and/or 
 *   modify it under the terms of the GNU Affero General Public License 
 *   (GNU AGPL) as published by the Free Software Foundation, either version 3
 *   of the License, or (at your option) any later version.
 * 
 *   The code in this file is distributed in the hope that it will be useful, 
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero 
 *   General Public License for more details.
 *
 *   As additional permission under GNU AGPL version 3 section 7, you may 
 *   distribute UNMODIFIED VERSIONS OF THIS file without the copy of the GNU 
 *   AGPL normally required by section 4, provided you include this license 
 *   notice and a URL through which recipients can access the Corresponding 
 *   Source.
 */

/* global window */

this.singlefile.lib.processors.hooks.content.main = this.singlefile.lib.processors.hooks.content.main || (() => {

	const browser = this.browser;
	const document = window.document;
	const HTMLDocument = window.HTMLDocument;

	if (document instanceof HTMLDocument) {
		const scriptElement = document.createElement("script");
		scriptElement.async = false;
		if (browser && browser.runtime && browser.runtime.getURL) {
			scriptElement.src = browser.runtime.getURL("/lib/single-file/processors/hooks/content/content-hooks-web.js");
			scriptElement.async = false;
		} else if (this.singlefile.lib.getFileContent) {
			scriptElement.textContent = this.singlefile.lib.getFileContent("/lib/single-file/processors/hooks/content/content-hooks-web.js");
		}
		(document.documentElement || document).appendChild(scriptElement);
		scriptElement.remove();
	}
	return {};

})();